Ask Your Question
0

Yum Extender Error

asked 2016-10-28 11:34:01 -0500

gary gravatar image

Hello Everyone, I just installed Korora and get the following error when trying to use Yum extender.g-io-error-quark: GDBus.Error:org.freedesktop.DBus.Python.dnf.exceptions.Error: Traceback (most recent call last): File "/usr/lib/python3.5/site-packages/dnf/rpm/init.py", line 42, in detect_releasever hdr = next(idx) StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/usr/lib64/python3.5/site-packages/dbus/service.py", line 707, in _message_cb retval = candidate_method(self, args, *keywords) File "/usr/lib/python3.5/site-packages/dnfdaemon/server/init.py", line 83, in newFunc rc = func(args, *kwargs) File "/usr/share/dnfdaemon/dnfdaemon-system", line 207, in SetConfig also cant update or rebuild db Any help would be appreciated thank you

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-10-29 01:03:04 -0500

TWTOoth gravatar image

updated 2016-10-29 01:04:12 -0500

the first message is telling yo that you have a problem in the file though the path

/usr/lib/python3.5/site-packages/dnf/rpm/init.py

go throught the path open int.py using eather nano or vim then go to line 42 and change the error given some goes for the next message follow the path given then go to the line no, and modify it

/usr/lib64/python3.5/site-packages/dbus/service.py "line 707"

/usr/lib/python3.5/site-packages/dnfdaemon/server/init.py "line 83"

you can go through the path using command cd (i dont know if you know this but just to be sure)

$ cd /usr/lib .....etc

hope this helps you

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-10-28 11:34:01 -0500

Seen: 119 times

Last updated: Oct 29 '16